import Vue from 'vue'
import VueRouter from 'vue-router'
import Login from '../views/Login.vue'
import Register from '../views/Register.vue'
import Me from '../views/Me.vue'
import Home from '../views/Home.vue'
import Category from '../views/Category.vue'
import ShopCart from '../views/ShopCart.vue'
import Layout from '../components/Layout.vue'
import Prodinfo from '../views/ProdInfo.vue'
import AddressList from '../views/AddressList.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: "/",
    component: Layout,
    children: [
      {
        path: '/me',
        name: 'me',
        component: Me
      },
      {
        path: '/home',
        name: 'home',
        component: Home
      },
      {
        path: '/category',
        name: 'category',
        component: Category
      },
      {
        path: '/shopCart',
        name: 'shopCart',
        component: ShopCart
      }
    ]
  },
  {
    path: '/login',
    name: 'login',
    component: Login
  },
  {
    path: '/register',
    name: 'register',
    component: Register
  },{  
    path: '/prodinfo',
    name: 'prodinfo',
    component: Prodinfo
  },
  {  
    path: '/addressList',
    name: 'addressList',
    component: AddressList
  }
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
